using System;
using System.Text;

namespace ConsoleApp52
{
    class Program
    {
        static void Main(string[] args)
        {
            string ab =Console.ReadLine();
            string[] nm = Console.ReadLine().Split();

            int n = int.Parse(nm[0]);
            int m = int.Parse(nm[1]);
            if ((n - m) > 1 || (n - m) < -1)
            {
                Console.WriteLine("nemoguce");
            }
            else
            {
                StringBuilder sb = new StringBuilder();
                for (int i = 0; i < Math.Min(n,m); i++)
                {
                    if (m>n && i==0)
                    {
                        sb.Append(ab[1]);
                    }
                    sb.Append(ab);
                }
                if (n > m)
                {
                    sb.Append(ab[0]);
                }
                Console.WriteLine(sb.ToString());
            }
        }
    }
}